#include "qglviewer.h"

#include <lib3ds/file.h>
#include <lib3ds/node.h>

class Viewer : public QGLViewer
{
public :
  Viewer() : file(NULL), current_frame(0.0), camera_name(NULL) {};
  
protected :
  void draw();
  void animate();
  void renderNode(Lib3dsNode *node);
  void loadFile();
  void initScene();
  void init();
  void keyPressEvent(QKeyEvent *e);
  QString helpString() const;
    
private :
  Lib3dsFile *file;
  float current_frame;
  char* camera_name;
};
