#include "callback.h"
#include "qglviewer.h"
#include <qapplication.h>

using namespace std;

void help()
{
  cout << endl << "\t\t- -  C a l l b a c k  - -" << endl << endl;
  cout << "This example is conceptually the same as simpleViewer." << endl;
  cout << "The difference is that it uses the Qt signal/slot mechanism" << endl;
  cout << "instead of deriving the QGLViewer class." << endl << endl;
  cout << "A Scene::draw() function is connected to the QGLViewer::drawNeeded()" << endl;
  cout << "signal. The two classes are otherwise completely independant." << endl;
}

int main(int argc, char** argv)
{
  // Read command lines arguments.
  QApplication application(argc,argv);

  // Instantiate the viewer.
  QGLViewer v;

  // Make the viewer window visible on screen.
  v.show();

  // Restore the previous viewer state.
  v.restoreFromFile();
  
  // Create a scene, giving a pointer to the associated viewer.
  Scene s(&v);

  // Set the viewer as the application main widget.
  application.setMainWidget(&v);

  help();
  
  // Run main loop.
  return application.exec();
}
